[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBitmap.GetWriterClass

Gets the class reference used to create instances of the FCL-compatible image writer.

## Declaration

Source position: graphics.pp line 1472

`protected class function TBitmap.GetWriterClass: TFPCustomImageWriterClass; override;`

## Function result

Class reference used to create instances of the writer class.

## Description

The return value is a TLazWriterBMP class reference in TBitmap.

GetWriterClass is called from the WriteStream method when the image writer is used to write a TLazIntfImage instance to a stream.

## See also

TFPImageBitmap.GetWriterClass |  | Gets the class reference used to create new instances of the FCL-compatible image writer.
TFPImageBitmap.WriteStream |  | Write the data to a stream.